beta version = true can’t be installed by xCode,Solved

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

Post Reply
jmburnod
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 1982
Joined: Sat Dec 22, 2007 5:35 pm
Location: Genève
Contact:

beta version = true can’t be installed by xCode,Solved

Post by jmburnod » Tue Sep 19, 2017 9:54 pm

Hi All,
I lost some hairs with an error (see below) :mrgreen: and I discover that was because I setted "beta version" checkbox to true in standalone setting.I setted it to false and it works fine. :D
I had an error message:
"The entitlements specified in your application’s Code Signing Entitlements file are invalid, not permitted, or do not match those specified in your provisioning profile. (0xE8008016)"

Best regards
Jean-Marc

LiveCode_Panos
Posts: 304
Joined: Fri Feb 06, 2015 4:03 pm

Re: beta version = true can’t be installed by xCode,Solved

Post by LiveCode_Panos » Tue Sep 19, 2017 10:02 pm

Hi Jean-Marc,

Thanks for sharing. Yes, the "beta-version" should be checked only if you are building a standalone *with a Production* (not Development) provisioning profile, which you plan to upload to the AppStore for distribution to beta-testers via TestFlight.

Best,
Panos
--

jmburnod
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 1982
Joined: Sat Dec 22, 2007 5:35 pm
Location: Genève
Contact:

Re: beta version = true can’t be installed by xCode,Solved

Post by jmburnod » Tue Sep 19, 2017 10:26 pm

Hi Panos,
Thanks a lot for precisions.
I feel you guessed my next need (ITunesConnect/testFlight will be our menu tomorrow with my partners)
If I understand correctly. I need a "production certificate" and a "provisionning distribution profile"
All the best
Jean-Marc

LiveCode_Panos
Posts: 304
Joined: Fri Feb 06, 2015 4:03 pm

Re: beta version = true can’t be installed by xCode,Solved

Post by LiveCode_Panos » Wed Sep 20, 2017 10:07 am

Hi Jean-Marc,

Yes, exactly, you need a "production certificate" and a "provisionning distribution profile".

Best,
Panos
--

Post Reply

Return to “iOS Deployment”